{% load static i18n %}

<header id="header" class="sticky top-0 shadow-lg z-50 transition-all duration-500 text-white bg-gradient-to-br from-main/95 to-main-dark">
  <div class="px-4 sm:px-10 bg-[url({% static "media/images/islamic_pattern_9.png" %})] bg-[length:10rem_auto] bg-fixed">
    <div class="flex justify-between items-center max-w-screen-xl mx-auto animate-appear-top">
  
      {% comment %} LOGO {% endcomment %}
      <div class="flex w-16 h-16 xs:w-20 xs:h-20 sm:w-24 sm:h-24 laptop:w-28 laptop:h-28">
        <a href="{% url "apps.base:index" %}" title="{{_("Main page")}}">
          <img
            src="{% static 'media/images/islamic_logo_gif.webp' %}"
            class="w-full h-full object-cover drop-shadow-lg"
            alt="{{_("Main page")}}"
            height="70"
            width="115"
          />
        </a>
      </div>
  
      {% comment %} TABLET {% endcomment %}
      <div class="flex gap-x-2 xs:gap-x-4 items-center laptop:hidden">
  
        {% comment %} LOGOUT (TABLET) {% endcomment %}
        {% if request.user.is_authenticated %}
        <a href="{% url "apps.base:logout" %}" title="{{_("Logout")}}" class="hidden sm:inline-flex items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white" role="button">
          {{_("Logout")}}
        </a>
        {% else %}
  
        {% comment %} REGISTER (TABLET) {% endcomment %}
        <a href="{% url "apps.member:index" %}" title="{{_("Become a Member")}}" class="inline-flex items-center gap-2 h-9 px-4 text-sm xs:text-base xs:h-10 xs:px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white" role="button">
          {{_("Become a Member")}}
        </a>
        {% endif %}
  
        {% comment %} SOCIALS (TABLET) {% endcomment %}
        {% if request.user.is_authenticated %}
        <ul class="flex gap-x-3 px-3 text-2xl items-center laptop:hidden">
        {% else %}
        <ul class="hidden sm:flex gap-x-3 px-3 text-2xl items-center">
        {% endif %}
          <li>
            <a href="https://facebook.com" target="_blank" title="Facebook" class="hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-facebook"></i>
              <span class="sr-only">Facebook</span>
            </a>
          </li>
          <li>
            <a href="https://twitter.com" target="_blank" title="Twitter" class="hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-twitter"></i>
              <span class="sr-only">Twitter</span>
            </a>
          </li>
          <li>
            <a href="https://youtube.com" target="_blank" title="Youtube" class="hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-youtube"></i>
              <span class="sr-only">Youtube</span>
            </a>
          </li>
          <li>
            <a href="https://instagram.com" target="_blank" title="Instagram" class="hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-instagram"></i>
              <span class="sr-only">Instagram</span>
            </a>
          </li>
        </ul>
  
        {% comment %} MENU BUTTON (TABLET) {% endcomment %}
        <button class="toggle-menu inline-flex text-main-darken text-xl flex-col justify-center items-center gap-y-1 bg-white rounded shadow-lg transition-colors h-9 w-9 xs:w-10 xs:h-10 sm:w-9 sm:h-9 hover:bg-main-dark hover:text-white">
          <i class="fa-solid fa-bars transition-colors"></i>
        </button>
      </div>
  
      {% comment %} NAVIGATION {% endcomment %}
      <nav id="menu" class="fixed z-50 top-0 -right-72 bottom-0 px-6 py-2 bg-main shadow-lg laptop:bg-transparent laptop:shadow-none w-64 laptop:w-auto laptop:static laptop:p-0 laptop:pt-3 transition-all duration-500">
        
        {% comment %} CLOSE BUTTON (TABLET) {% endcomment %}
        <div class="flex justify-end py-3 laptop:hidden">
          <button class="toggle-menu group inline-flex flex-col text-xl justify-center items-center bg-white rounded shadow-lg transition-colors w-[29px] h-[29px] text-main-darken hover:text-white hover:bg-rose-600">
            <i class="fa-solid fa-xmark transition-colors"></i>
          </button>
        </div>
  
        <div class="flex flex-col justify-end my-1 gap-4 laptop:flex-row">
  
          {% comment %} LOGOUT (LAPTOP) {% endcomment %}
          {% if request.user.is_authenticated %}
          <a href="{% url "apps.base:logout" %}" title="{{_("Logout")}}" class="inline-flex items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white sm:hidden laptop:inline-flex" role="button">
            {{_("Logout")}}
          </a>
          {% else %}
  
          {% comment %} REGISTER (LAPTOP) {% endcomment %}
          <a href="{% url "apps.member:index" %}" title="{{_("Become a Member")}}" class="hidden items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white laptop:inline-flex" role="button">
            {{_("Become a Member")}}
          </a>
  
          {% comment %} LOGIN {% endcomment %}
          <a href="{% url "apps.base:login" %}" title="{{_("Login")}}" class="inline-flex items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white" role="button">
            {{_("Login")}}
          </a>
          {% endif %}
  
          {% comment %} LANGS {% endcomment %}
          <select id="langSetter" class="inline-flex items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white">
            {% get_available_languages as LANGUAGES %}
            {% get_language_info_list for LANGUAGES as languages %}
            {% for language in languages %}
            <option value="{{language.code}}" {% if language.code == LANG %} selected="selected" {% endif %}>
              {{language.name_local|capfirst}}
            </option>
            {% endfor %}
          </select>
  
          {% comment %} ADMIN {% endcomment %}
          {% if request.user.is_superuser %}
          <a href="{% url "admin:index" %}" title="{{_("Administration")}}" class="inline-flex items-center gap-2 h-10 px-6 text-main-darken text-main-darken font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-white to-main-white hover:from-main-dark hover:to-main hover:text-white" role="button">
            {{_("Administration")}}
          </a>
          {% endif %}
  
          {% comment %} SOCIALS (LAPTOP) {% endcomment %}
          {% if request.user.is_authenticated %}
          <ul class="hidden gap-x-3 px-3 text-2xl items-center justify-end laptop:flex">
          {% else %}
          <ul class="flex sm:hidden gap-x-3 px-3 text-2xl items-center justify-end laptop:flex">
          {% endif %}
            <li>
              <a href="https://facebook.com" target="_blank" title="Facebook" class="hover:text-main-darken transition-colors drop-shadow-lg">
                <i class="fa-brands fa-facebook"></i>
                <span class="sr-only">Facebook</span>
              </a>
            </li>
            <li>
              <a href="https://twitter.com" target="_blank" title="Twitter" class="hover:text-main-darken transition-colors drop-shadow-lg">
                <i class="fa-brands fa-twitter"></i>
                <span class="sr-only">Twitter</span>
              </a>
            </li>
            <li>
              <a href="https://youtube.com" target="_blank" title="Youtube" class="hover:text-main-darken transition-colors drop-shadow-lg">
                <i class="fa-brands fa-youtube"></i>
                <span class="sr-only">Youtube</span>
              </a>
            </li>
            <li>
              <a href="https://instagram.com" target="_blank" title="Instagram" class="hover:text-main-darken transition-colors drop-shadow-lg">
                <i class="fa-brands fa-instagram"></i>
                <span class="sr-only">Instagram</span>
              </a>
            </li>
          </ul>
  
        </div>
  
        {% comment %} NAV LINKS {% endcomment %}
        <ul class="flex flex-col gap-3 font-medium flex-wrap justify-end items-end laptop:flex-row xl:text-lg py-4">
          <li>
            <a href="{% url "apps.base:index" %}" title="{{_("Main page")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap laptop:hidden">
              {{_("Main page")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
  
          <li>
            <a href="{% url "apps.news:index" %}" title="{{_("News of Mosque")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("News of Mosque")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.about:index" %}" title="{{_("About our mosque")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("About our mosque")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.timetable:index" %}" title="{{_("Prayer timetable")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("Prayer timetable")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.world_of_islam:index" %}" title="{{_("World of Islam")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("World of Islam")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.charity:index" %}" title="{{_("Charity")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("Charity")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.museum:index" %}" title="{{_("Museum")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("Museum")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.contacts:index" %}" title="{{_("Contacts")}}" class="relative group p-1 transition-colors hover:text-accent whitespace-nowrap">
              {{_("Contacts")}}
              <span class="hidden sm:block absolute h-[0.1875rem] top-full left-auto right-0 w-0 opacity-0 bg-accent rounded shadow-lg transition-all duration-300 group-hover:w-full group-hover:opacity-100 laptop:right-auto laptop:left-0"></span>
            </a>
          </li>
        </ul>
  
      </nav>
    </div>
  </div>
</header>